%% Generated by the Erlang ASN.1 compiler. Version: 5.4.1
%% Purpose: Erlang record definitions for each named and unnamed
%% SEQUENCE and SET, and macro definitions for each value
%% definition in module OCSP-2024-08.

-ifndef(_OCSP_2024_08_HRL_).
-define(_OCSP_2024_08_HRL_, true).

-record('OCSPRequest', {
  tbsRequest,
  optionalSignature = asn1_NOVALUE
}).

-record('TBSRequest', {
  version = asn1_DEFAULT,
  requestorName = asn1_NOVALUE,
  requestList,
  requestExtensions = asn1_NOVALUE
}).

-record('TBSRequest_requestExtensions_SEQOF', {
  extnID,
  critical = asn1_DEFAULT,
  extnValue
}).

-record('Signature', {
  signatureAlgorithm,
  signature,
  certs = asn1_NOVALUE
}).

-record('Signature_signatureAlgorithm', {
  algorithm,
  parameters = asn1_NOVALUE
}).

-record('Request', {
  reqCert,
  singleRequestExtensions = asn1_NOVALUE
}).

-record('Request_singleRequestExtensions_SEQOF', {
  extnID,
  critical = asn1_DEFAULT,
  extnValue
}).

-record('CertID', {
  hashAlgorithm,
  issuerNameHash,
  issuerKeyHash,
  serialNumber
}).

-record('CertID_hashAlgorithm', {
  algorithm,
  parameters = asn1_NOVALUE
}).

-record('OCSPResponse', {
  responseStatus,
  responseBytes = asn1_NOVALUE
}).

-record('ResponseBytes', {
  responseType,
  response
}).

-record('BasicOCSPResponse', {
  tbsResponseData,
  signatureAlgorithm,
  signature,
  certs = asn1_NOVALUE
}).

-record('BasicOCSPResponse_signatureAlgorithm', {
  algorithm,
  parameters = asn1_NOVALUE
}).

-record('ResponseData', {
  version = asn1_DEFAULT,
  responderID,
  producedAt,
  responses,
  responseExtensions = asn1_NOVALUE
}).

-record('ResponseData_responseExtensions_SEQOF', {
  extnID,
  critical = asn1_DEFAULT,
  extnValue
}).

-record('SingleResponse', {
  certID,
  certStatus,
  thisUpdate,
  nextUpdate = asn1_NOVALUE,
  singleExtensions = asn1_NOVALUE
}).

-record('SingleResponse_singleExtensions_SEQOF', {
  extnID,
  critical = asn1_DEFAULT,
  extnValue
}).

-record('RevokedInfo', {
  revocationTime,
  revocationReason = asn1_NOVALUE
}).

-record('ServiceLocator', {
  issuer,
  locator
}).

-record('CrlID', {
  crlUrl = asn1_NOVALUE,
  crlNum = asn1_NOVALUE,
  crlTime = asn1_NOVALUE
}).

-record('PreferredSignatureAlgorithm', {
  sigIdentifier,
  certIdentifier = asn1_NOVALUE
}).

-record('PreferredSignatureAlgorithm_sigIdentifier', {
  algorithm,
  parameters = asn1_NOVALUE
}).

-record('PreferredSignatureAlgorithm_certIdentifier', {
  algorithm,
  parameters = asn1_NOVALUE
}).

-define('id-kp-OCSPSigning', {1,3,6,1,5,5,7,3,9}).
-define('id-pkix-ocsp', {1,3,6,1,5,5,7,48,1}).
-define('id-pkix-ocsp-basic', {1,3,6,1,5,5,7,48,1,1}).
-define('id-pkix-ocsp-nonce', {1,3,6,1,5,5,7,48,1,2}).
-define('id-pkix-ocsp-crl', {1,3,6,1,5,5,7,48,1,3}).
-define('id-pkix-ocsp-response', {1,3,6,1,5,5,7,48,1,4}).
-define('id-pkix-ocsp-nocheck', {1,3,6,1,5,5,7,48,1,5}).
-define('id-pkix-ocsp-archive-cutoff', {1,3,6,1,5,5,7,48,1,6}).
-define('id-pkix-ocsp-service-locator', {1,3,6,1,5,5,7,48,1,7}).
-define('id-pkix-ocsp-pref-sig-algs', {1,3,6,1,5,5,7,48,1,8}).
-define('id-pkix-ocsp-extended-revoke', {1,3,6,1,5,5,7,48,1,9}).
-endif. %% _OCSP_2024_08_HRL_
